import { IObj } from "../../type";
export declare const genSetRefObjFunc: <T extends IObj<any>>(obj: {
    current: T;
}) => <K extends keyof T>(key: K | Partial<T> | ((v: T) => T), value?: T[K] | undefined) => void;
export declare const genSetObjFunc: <T extends IObj<any>>(obj: T) => <K extends keyof T>(key: K | Partial<T> | ((v: T) => void), value?: T[K] | undefined) => void;
export declare const parseJson: <T = any>(json: string) => T | null;
export declare const getDom: (id: string, className?: string) => HTMLDivElement;
declare const _default: {
    addCacheWrapper: <T = Function>(func: T) => T;
    genSetRefObjFunc: <T_1 extends IObj<any>>(obj: {
        current: T_1;
    }) => <K extends keyof T_1>(key: K | Partial<T_1> | ((v: T_1) => T_1), value?: T_1[K] | undefined) => void;
    genSetObjFunc: <T_2 extends IObj<any>>(obj: T_2) => <K_1 extends keyof T_2>(key: K_1 | Partial<T_2> | ((v: T_2) => void), value?: T_2[K_1] | undefined) => void;
    parseJson: <T_3 = any>(json: string) => T_3 | null;
    getDom: (id: string, className?: string | undefined) => HTMLDivElement;
};
export default _default;
